Branches
List all branches
Retrieves a list of all branches within the specified project, including their metadata, region, and access settings.
GET
/
organizations
/
{organizationID}
/
projects
/
{projectID}
/
branches
List all branches
curl --request GET \
--url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branches": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"region": "<string>",
"publicAccess": true,
"backupsEnabled": true,
"description": "<string>",
"parentID": "<string>"
}
]
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier of the organization containing the project
Pattern:
[a-zA-Z0-9_-~:]+Unique identifier of the project to list branches from
Response
List of branches within the project
Array of branch objects with their metadata
Show child attributes
Show child attributes
Was this page helpful?
Previous
Create a new branchCreates a new branch within the specified project. Branches can be created from scratch or derived from an existing parent branch.
Next
⌘I
List all branches
